| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | POST |
https://your-system-name.thulium.com/api/knowledge_base/catalogs/:catalogId/categories/:categoryId/articles
|
catalogId
wymagany |
Identyfikator katalogu. |
|
categoryId
wymagany |
Identyfikator kategorii. |
|
title
wymagany |
Tytuł artykułu. |
|
content
wymagany |
Treść HTML artykułu (max 30000 znaków). |
|
user_login
opcjonalny |
Login użytkownika - autora artykułu. Jeśli pominięty, używany jest user systemowy (automat). |
| POST | https://your-system-name.thulium.com/api/knowledge_base/catalogs/{catalogId}/categories/{categoryId}/articles |
| Dane | { "title": "How to reset password", "content": " |
{
"id": "fa97e6fa-f458-4ea5-be5d-da72ed9b5197",
"title": "How to reset password",
"content": "Step by step
",
"category_id": "742b4a0f-cec1-46ca-8175-cb7ca9746368",
"category_name": "Account",
"catalog_id": "6a6a245b-a30c-49a5-bee6-96aa760280ba",
"feedback": { "positive": 0, "negative": 0 },
"user_login": "akowalski",
"created_at": "2024-10-31T12:59:55Z",
"updated_at": "2024-10-31T12:59:55Z"
}
<?php $data = '{ "title": "How to reset password", "content": "<p>Step by step</p>", "user_login": "akowalski" }'; $request = curl_init('https://your-system-name.thulium.com/api/knowledge_base/catalogs/{catalogId}/categories/{categoryId}/articles'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/knowledge_base/catalogs/{catalogId}/categories/{categoryId}/articles", "{ \"title\": \"How to reset password\", \"content\": \"<p>Step by step</p>\", \"user_login\": \"akowalski\" }"); System.out.println(response); } }
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{ "title": "How to reset password", "content": "<p>Step by step</p>", "user_login": "akowalski" }' "https://your-system-name.thulium.com/api/knowledge_base/catalogs/{catalogId}/categories/{categoryId}/articles"
echo '{ "title": "How to reset password", "content": "<p>Step by step</p>", "user_login": "akowalski" }' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/knowledge_base/catalogs/{catalogId}/categories/{categoryId}/articles